sip_reg-4.0.0(1)

NAME

sip_reg-4.0.0 - SIP Registration Agent

SYNTAX

sip_reg-4.0.0 [required_options] [optional_options]

DESCRIPTION

This program will register to a SIP proxy using the contact supplied on the command line. This is useful if, for some reason your SIP client cannot register to the proxy itself. For example, if your SIP client registers to Proxy A, but you want to be able to receive calls that arrive at Proxy B, you can use this program to register the client's contact information to Proxy B

OPTIONS

Required Options

-r --proxy <sip:proxyhost[:port]>

-u --from <sip:user@host[:port]>

Optional Options

-c --contact sip:user@host[:port]

-d --debug log to stderr and do not fork

-e --expiry number (default 3600)

-f --firewallip Firewall IP address N.N.N.N

-l --localip Force local IP address N.N.N.N

-p --port Port number (default 5060)

-U --username authentication username

-P --password authentication password

-h --help Display Usage help

AUTHORS

This manual page was written by Rene Mayorga <rmayorga@debian.org.sv> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version.

SEE ALSO

eXosip.h(3)